| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
jpeg_component_info Struct Reference

`#include <jpeglib.h>`

## Public Attributes
int | component_id
int | component_index
int | h_samp_factor
int | v_samp_factor
int | quant_tbl_no
int | dc_tbl_no
int | ac_tbl_no
JDIMENSION | width_in_blocks
JDIMENSION | height_in_blocks
int | DCT_scaled_size
JDIMENSION | downsampled_width
JDIMENSION | downsampled_height
boolean | component_needed
int | MCU_width
int | MCU_height
int | MCU_blocks
int | MCU_sample_width
int | last_col_width
int | last_row_height
JQUANT_TBL * | quant_table
void * | dct_table

## Detailed Description

Definition at line 116 of file jpeglib.h.

## Member Data Documentation

int jpeg_component_info::ac_tbl_no

Definition at line 130 of file jpeglib.h.

int jpeg_component_info::component_id

Definition at line 120 of file jpeglib.h.

int jpeg_component_info::component_index

Definition at line 121 of file jpeglib.h.

boolean jpeg_component_info::component_needed

Definition at line 160 of file jpeglib.h.

int jpeg_component_info::dc_tbl_no

Definition at line 129 of file jpeglib.h.

int jpeg_component_info::DCT_scaled_size

Definition at line 147 of file jpeglib.h.

void* jpeg_component_info::dct_table

Definition at line 178 of file jpeglib.h.

JDIMENSION jpeg_component_info::downsampled_height

Definition at line 155 of file jpeglib.h.

JDIMENSION jpeg_component_info::downsampled_width

Definition at line 154 of file jpeglib.h.

int jpeg_component_info::h_samp_factor

Definition at line 122 of file jpeglib.h.

JDIMENSION jpeg_component_info::height_in_blocks

Definition at line 140 of file jpeglib.h.

int jpeg_component_info::last_col_width

Definition at line 168 of file jpeglib.h.

int jpeg_component_info::last_row_height

Definition at line 169 of file jpeglib.h.

int jpeg_component_info::MCU_blocks

Definition at line 166 of file jpeglib.h.

int jpeg_component_info::MCU_height

Definition at line 165 of file jpeglib.h.

int jpeg_component_info::MCU_sample_width

Definition at line 167 of file jpeglib.h.

int jpeg_component_info::MCU_width

Definition at line 164 of file jpeglib.h.

JQUANT_TBL* jpeg_component_info::quant_table

Definition at line 175 of file jpeglib.h.

int jpeg_component_info::quant_tbl_no

Definition at line 124 of file jpeglib.h.

int jpeg_component_info::v_samp_factor

Definition at line 123 of file jpeglib.h.

JDIMENSION jpeg_component_info::width_in_blocks

Definition at line 139 of file jpeglib.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpeglib.h